Bug 693609 - Cannot delete mistakely created project
Cannot delete mistakely created project
Status: CLOSED NEXTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3-alpha-1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 00:52 EDT by Kenichi Takemura
Modified: 2014-08-04 18:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-10 00:04:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenichi Takemura 2011-04-05 00:52:51 EDT
Description of problem:

Is there any way to delete existing project?
    
Version-Release number of selected component (if applicable):

1.3-plpha-1
    
How reproducible:

Always
    
Steps to Reproduce:

1. Login Zanata using admin account.
2. Click menu Project and click Create project
3. Complete creating a new project
    
Actual results:

Cannot delete the project
    
Expected results:

Admin can delete projects.
    
Additional info:

No.
Comment 1 Sean Flanigan 2011-04-05 02:30:02 EDT
Not supported at present, sorry.  See http://code.google.com/p/flies/issues/detail?id=217
Comment 2 Kenichi Takemura 2011-05-03 01:44:13 EDT
Hi 

Can you provide me with how to delete project from zanata database? I need to delete some projects that cause errors to proceed with more testing.
Comment 3 Sean Flanigan 2011-05-04 22:31:05 EDT
Projects are stored in the table HProject, but the database constraints make it quite difficult to eradicate a project.  If you haven't added any versions or data to the project, you could try deleting the project from HProject, but you'll have to delete corresponding rows from HProject_Maintainer as well.

Otherwise your only option at present is to wipe the database and start again.
Comment 4 Kenichi Takemura 2011-05-05 01:27:30 EDT
ok thanks.
Comment 5 Sean Flanigan 2011-09-07 00:33:21 EDT
Assigning to Scrum product owner for prioritisation.
Comment 6 Sean Flanigan 2012-02-10 00:04:49 EST
Should be covered by the obsolete project feature in Zanata 1.5.

Note You need to log in before you can comment on or make changes to this bug.